For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList available models
      • GETGet grouped models
      • GETList search-capable models
      • GETList configured search providers
      • GETList model configurations
      • POSTCreate model configuration
      • PUTUpdate model configuration
      • DELDelete model configuration
      • PATCHEnable or disable model configuration
      • PATCHSet default model configuration
      • GETGet model configuration usage
      • GETList distinct models in use
Dashboard
LogoLogo
Runtype APIModel Configs

List search-capable models

GET
/v1/model-configs/search-capable
GET
/v1/model-configs/search-capable
$curl https://api.runtype.com/v1/model-configs/search-capable \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "model-12345",
5 "name": "Runtype Search AI",
6 "provider": "Runtype",
7 "supportsCustomKey": false,
8 "keyStatus": "platform",
9 "displayLabel": "Runtype Search AI Model"
10 }
11 ],
12 "total": 1
13}
Get catalog models that support AI model search for flow search steps.
Was this page helpful?
Previous

List configured search providers

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Search-capable model catalog

datalist of objects
totalinteger

Errors

401
Unauthorized Error
500
Internal Server Error